/***************************************************************************
 *   Copyright (C) 2008 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(PARTITIONROLE__H)

#define PARTITIONROLE__H

#include <qglobal.h>

class QString;

class PartitionRole
{
	public:
		enum Role
		{
			None = 0,
			Primary = 1,
			Extended = 2,
			Logical = 4,
			Unallocated = 8,

			Any = 255
		};

 	Q_DECLARE_FLAGS(Roles, Role);

	public:
		explicit PartitionRole(Roles r) : m_Roles(r) {}
		Roles roles() const { return m_Roles; }
		bool has(Role r) const { return roles() & r; }

		bool operator==(const PartitionRole& other) const { return m_Roles == other.m_Roles; }
		bool operator!=(const PartitionRole& other) const { return !operator==(other); }

		QString toString() const;

	private:
		Roles m_Roles;
};

Q_DECLARE_OPERATORS_FOR_FLAGS(PartitionRole::Roles);

#endif
